## python-awscurl 0.36

=== Makefile ===
venv:
	python3 -m venv venv
	( \
		. ./venv/bin/activate; \
		which python; \
		pip install --upgrade pip; \
		pip install --upgrade setuptools; \
		pip install -r requirements.txt -r requirements-test.txt; \
	)

docker-build:
	docker build -t awscurl .

docker-run:
	docker run -it --rm awscurl

=== requirements.txt ===
requests
configargparse
configparser
botocore

=== debian/changelog ===
python-awscurl (0.36-1) unstable; urgency=medium

  * Initial release. (Closes: #1118735)

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Oct 2025 16:40:00 +0200

=== debian/control ===
Source: python-awscurl
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-botocore,
 python3-configargparse,
 python3-mock,
 python3-pytest,
 python3-pytest-cov,
 python3-requests,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-awscurl
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-awscurl.git
Homepage: http://github.com/okigan/awscurl

Package: python3-awscurl
Architecture: all
Depends:
 python3-botocore,
 python3-configargparse,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: Curl like tool with AWS request signing
 AWSCurl is a command-line tool and Python module that brings the familiar feel
 of curl to access AWS APIs, complete with AWS Signature Version 4 request
 signing built-in. It simplifies making HTTP requests to AWS services (REST or
 query APIs) by automating the tedious steps of credential lookup,
 region/service signing and header construction.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := http://github.com/okigan/awscurl.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v --ignore tests/integration_test.py

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/tests/control ===
Test-Command: pybuild-autopkgtest
Depends:
 pybuild-plugin-autopkgtest,
 @,
 @builddeps@,
Restrictions:
 allow-stderr,
 skippable,
Features:
 test-name=pybuild-autopkgtest,

=== debian/watch ===
version=4
opts="dversionmangle=auto,mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" http://github.com/okigan/awscurl refs/tags/(\d[brc\d\.]+)
